package adminkindboxreqhandler

import (
	"git.gocasts.ir/ebhomengo/niki/delivery/http_server/middleware"
	echo "github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/admin/kindboxreqs")

	// todo - add acl
	r.PATCH("/accept-kind-box-req/:id", h.Accept)
	r.PATCH("/reject-kind-box-req/:id", h.Reject)
	r.GET("/", h.GetAll, middleware.Auth(h.authSvc, h.authConfig))
}
